%define upstream_name    Dist-Zilla-PluginBundle-DOY
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Dist::Zilla plugins for me
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::Git) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::Metadata)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
My plugin bundle. Roughly equivalent to:

    [@Basic]

    [MetaConfig]
    [MetaJSON]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-7.mga8
+ Revision: 1494186
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-6.mga7
+ Revision: 1267395
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1025958
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 940205
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 750778
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 650399
- update to 0.15

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 534024
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 476062
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 366624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 269455
- update to 0.09

* Thu Feb 23 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 212810
- update to 0.08

* Tue Mar 15 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 71837
- imported package perl-Dist-Zilla-PluginBundle-DOY


* Tue Mar 15 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
